<?php

namespace LaraBB\Forum\UI\Web\Requests;

use Illuminate\Foundation\Http\FormRequest;

/**
 * Class Edit
 * @package LaraBB\Forum\UI\Web\Requests
 */
class Edit extends FormRequest
{
    /**
     * @return bool
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * @return array
     */
    public function rules(): array
    {
        return [
            'uuid' => 'required|uuid|exists:forums,uuid'
        ];
    }

    /**
     * @return array
     */
    public function messages(): array
    {
        return [
            'uuid.required' => 'Es wurde keine UUID übergeben.',
            'uuid.uuid'     => 'Die übergebene UUID ist ungültig.',
            'uuid.exists'   => 'Das zu bearbeitende Forum existiert nicht.'
        ];
    }

    /**
     * @param array $keys
     * @return array
     */
    public function all($keys = []): array
    {
        $data         = parent::all($keys);
        $data['uuid'] = $this->route('uuid');

        return $data;
    }
}
